﻿@model IEnumerable<CardVM>
@{
    ViewData["Title"] = "Compare";
}

<section class="compare-page pt-10">
    <div class="container-fluid custom-container">
     
            <div class="compare-table table-responsive mt-30">
                <table class="table">
                    <tbody>
                        <tr>
                            <th>Product</th>
                            @foreach (CardVM item in Model)
                            {
                                var firstImage = item.ProductImage.ElementAt<ProductImages>(0).Images;
                                <td>
                                    <div class="product-image-title">
                                        <a class="product-image" href="#"><img src="~/assets/images/product/@firstImage" alt="product"></a>
                                        <a href="#" class="category">@item.Tags</a>
                                        <h5 class="title"><a href="#">@item.Name</a></h5>
                                    </div>
                                </td>
                            }
                               
                            </tr>
                        <tr>
                            <th>Description</th>
                            @foreach (CardVM item in Model)
                            {
                                <td>
                                    <div class="description">
                                        <p>@item.Description</p>
                                    </div>
                                </td>
                            }
                               
                            </tr>
                        <tr>
                            <th>Price</th>
                            @foreach (CardVM item in Model)
                            {
                                <td>$@item.Price</td>
                            }
                                   
                        </tr>
                       
                        <tr>
                            <th>Add to cart</th>
                            @foreach (CardVM item in Model)
                            {
                                <td><a   asp-controller="Home" asp-action="AddCard" asp-route-id="@item.Id" class="main-btn main-btn-2"><i class="far fa-shopping-cart"></i> Add to Cart</a></td>
                            }
                                
                            </tr>
                        <tr>
                            <th>Delete</th>
                            @foreach (CardVM item in Model)
                            {
                                <td><a class="delete" href="#"><i class="far fa-trash-alt"></i></a></td>
                            }
                        </tr>
                        <tr>
                            <th>Rating</th>
                            @foreach (CardVM item in Model)
                            {
                                <td>
                                    <ul class="rating">
                                        <li class="rating-on"><i class="fas fa-star"></i></li>
                                        <li class="rating-on"><i class="fas fa-star"></i></li>
                                        <li class="rating-on"><i class="fas fa-star"></i></li>
                                        <li class="rating-on"><i class="fas fa-star"></i></li>
                                        <li class=""><i class="fas fa-star"></i></li>
                                    </ul>
                                </td>
                            }

                        </tr>
                    </tbody>
                </table>
            </div>
        }
       
    </div>
</section>